| ghc-6.10.4: The GHC API | Contents | Index

PositionIndependentCode

Documentation
cmmMakeDynamicReference :: Monad m => DynFlags -> (CLabel -> m ()) -> ReferenceKind -> CLabel -> m CmmExpr
data ReferenceKind

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind

needImportedSymbols
pprImportedSymbol
pprGotDeclaration
initializePicBase :: Reg -> [NatCmmTop] -> NatM [NatCmmTop]
Produced by Haddock version 2.4.2